org.apache.xmlbeans

## Interface XmlGMonthDay

- All Superinterfaces:
    XmlAnySimpleType, XmlObject, XmlTokenSource
  All Known Implementing Classes:
    XmlGMonthDayImpl

      public interface XmlGMonthDay
      extends XmlAnySimpleType

  Corresponds to the XML Schema xs:gMonthDay type. A gMonthDay specifies a day of a specific month without specifying the year.

  Convertible to `Calendar` or `GDate`.

  See Also:
    `XmlCalendar`, `GDate`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static XmlObjectFactory<XmlGMonthDay>` | `Factory`
    `static SchemaType` | `type` The constant `SchemaType` object representing this schema type.

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Calendar` | `getCalendarValue()` Returns this value as a `Calendar`
    `GDate` | `getGDateValue()` Returns this value as a `GDate`
    `void` | `setCalendarValue(Calendar c)` Sets this value as a `Calendar`
    `void` | `setGDateValue(GDate gd)` Sets this value as a `GDateSpecification`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

      `getStringValue, setStringValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final XmlObjectFactory<XmlGMonthDay> Factory

    - #### type

          static final SchemaType type

      The constant `SchemaType` object representing this schema type.

  - ### Method Detail

    - #### getCalendarValue

          Calendar getCalendarValue()

      Returns this value as a `Calendar`

    - #### setCalendarValue

          void setCalendarValue(Calendar c)

      Sets this value as a `Calendar`

    - #### getGDateValue

          GDate getGDateValue()

      Returns this value as a `GDate`

    - #### setGDateValue

          void setGDateValue(GDate gd)

      Sets this value as a `GDateSpecification`